SYS_FLOCK(9)

NAME
sys_flock - flock system call.

SYNOPSIS

long sys_flock(unsigned int fd, unsigned int cmd);

ARGUMENTS

fd
    the file descriptor to lock.

cmd
    the type of lock to apply.

DESCRIPTION

Apply a FL_FLOCK style lock to an open file descriptor. The cmd can be one of

LOCK_SH -- a shared lock.

LOCK_EX -- an exclusive lock.

LOCK_UN -- remove an existing lock.

LOCK_MAND -- a `mandatory' flock. This exists to emulate Windows Share Modes.

LOCK_MAND can be combined with LOCK_READ or LOCK_WRITE to allow other processes read and write access respectively.

COPYRIGHT